Other

Get credit balance

Get credit balance

GET
/v2/credits/balance

Query Parameters

apiToken?|

Header Parameters

x-api-token?|

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.ocean.io/v2/credits/balance"
{
  "credits": {
    "oneTime": 1000,
    "recurrent": 1000
  },
  "emailCredits": {
    "oneTime": 1000,
    "recurrent": 1000
  },
  "phoneCredits": {
    "oneTime": 1000,
    "recurrent": 1000
  },
  "dailyLimitRateLeft": 10,
  "dailyLimitRateSecondsToReset": 3600
}
{
  "detail": "Conflicting API tokens provided in query parameters and headers"
}
{
  "detail": "Insufficient email credits"
}
{
  "detail": "API token should be provided in headers or query parameters"
}
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}